PipeWire 1.2.6

Loading...
Searching...
No Matches
Data Structures | Macros | Enumerations | Functions
dbus.h File Reference
SPA » Support » DBus

`spa/support/dbus.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_dbus
struct | spa_dbus_connection_events
struct | spa_dbus_connection
struct | spa_dbus_methods

## Macros
#define | SPA_TYPE_INTERFACE_DBus SPA_TYPE_INFO_INTERFACE_BASE "DBus"
#define | SPA_VERSION_DBUS 0
#define | SPA_DBUS_CONNECTION_EVENT_DESTROY 0
#define | SPA_DBUS_CONNECTION_EVENT_DISCONNECTED 1
#define | SPA_DBUS_CONNECTION_EVENT_NUM 2
#define | SPA_VERSION_DBUS_CONNECTION_EVENTS 0
#define | SPA_VERSION_DBUS_CONNECTION 1
#define | spa_dbus_connection_call(c, method, vers, ...)
#define | spa_dbus_connection_call_vp(c, method, vers, ...)
#define | spa_dbus_connection_get(c)
| Get the DBusConnection from a wrapper.
#define | spa_dbus_connection_destroy(c)
| Destroy a dbus connection wrapper.
#define | spa_dbus_connection_add_listener(c, ...)
| Add a listener for events.
#define | SPA_VERSION_DBUS_METHODS 0

## Enumerations
enum | spa_dbus_type { SPA_DBUS_TYPE_SESSION , SPA_DBUS_TYPE_SYSTEM , SPA_DBUS_TYPE_STARTER }

## Functions
static struct spa_dbus_connection * | spa_dbus_get_connection (struct spa_dbus *dbus, enum spa_dbus_type type)
| Get a new connection wrapper for the given bus type.

## Detailed Description

`spa/support/dbus.h`